STOFFOLEParser::OleContent Struct Reference

structure use to store an object content More...

`#include <STOFFOLEParser.hxx>`

## Public Member Functions

| OleContent (std::string const &dir, std::string const &base)
| constructor
std::string | getBaseName ()
| returns the base name
std::string | getOleName () const
| returns the ole name
bool | isParsed () const
| returns true if the object if parsed
void | setParsed (bool flag=true)
| sets the parsed flag
STOFFPosition const & | getPosition () const
| return the image position
void | setPosition (STOFFPosition const &pos)
| set the image position
bool | getImageData (librevenge::RVNGBinaryData &data, std::string &type) const
| returns the image data
void | setImageData (librevenge::RVNGBinaryData const &data, std::string const &type)
| sets the image data

## Protected Attributes

std::string | m_dir
| the directory
std::string | m_base
| the base name
bool | m_isParsed
| true if the data has been parsed
STOFFPosition | m_position
| the image position (if known)
librevenge::RVNGBinaryData | m_imageData
| the image content ( if known )
std::string | m_imageType
| the image type ( if known)

## Detailed Description

structure use to store an object content

## Constructor & Destructor Documentation

## OleContent()

STOFFOLEParser::OleContent::OleContent | ( | std::string const & | dir,
|  | std::string const & | base )

inline

constructor

## Member Function Documentation

## getBaseName()

std::string STOFFOLEParser::OleContent::getBaseName | ( |  | ) |

inline

returns the base name

Referenced by STOFFOLEParser::readCONTENTS(), and STOFFOLEParser::readContents().

## getImageData()

bool STOFFOLEParser::OleContent::getImageData | ( | librevenge::RVNGBinaryData & | data,
|  | std::string & | type ) const

inline

returns the image data

## getOleName()

std::string STOFFOLEParser::OleContent::getOleName | ( |  | ) | const

inline

returns the ole name

Referenced by STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

## getPosition()

STOFFPosition const & STOFFOLEParser::OleContent::getPosition | ( |  | ) | const

inline

return the image position

## isParsed()

bool STOFFOLEParser::OleContent::isParsed | ( |  | ) | const

inline

returns true if the object if parsed

## setImageData()

void STOFFOLEParser::OleContent::setImageData | ( | librevenge::RVNGBinaryData const & | data,
|  | std::string const & | type )

inline

sets the image data

Referenced by STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

## setParsed()

void STOFFOLEParser::OleContent::setParsed | ( | bool | flag = true | ) |

inline

sets the parsed flag

Referenced by STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), STOFFOLEParser::readOle10Native(), and STOFFOLEParser::readOlePres().

## setPosition()

void STOFFOLEParser::OleContent::setPosition | ( | STOFFPosition const & | pos | ) |

inline

set the image position

Referenced by STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readContents(), and STOFFOLEParser::readOlePres().

## Member Data Documentation

## m_base

std::string STOFFOLEParser::OleContent::m_base

protected

the base name

Referenced by getBaseName(), getOleName(), and OleContent().

## m_dir

std::string STOFFOLEParser::OleContent::m_dir

protected

the directory

Referenced by getOleName(), and OleContent().

## m_imageData

librevenge::RVNGBinaryData STOFFOLEParser::OleContent::m_imageData

protected

the image content ( if known )

Referenced by getImageData(), OleContent(), and setImageData().

## m_imageType

std::string STOFFOLEParser::OleContent::m_imageType

protected

the image type ( if known)

Referenced by getImageData(), OleContent(), and setImageData().

## m_isParsed

bool STOFFOLEParser::OleContent::m_isParsed

protected

true if the data has been parsed

Referenced by isParsed(), OleContent(), and setParsed().

## m_position

STOFFPosition STOFFOLEParser::OleContent::m_position

protected

the image position (if known)

Referenced by getPosition(), OleContent(), and setPosition().

The documentation for this struct was generated from the following file:

- STOFFOLEParser.hxx